using System;
using System.Collections.Generic;
using UnityEngine;

public class ButtonMgr : MonoBehaviour
{
	private void Start()
	{
	}

	private void Update()
	{
		if ((UICamera.selectedObject == null || (UICamera.selectedObject.tag != "ButtonCate" && UICamera.selectedObject.tag != "ButtonPartsType" && UICamera.selectedObject.tag != "ButtonMenuItem")) && UIKeyNavigation2.listCate != null && UIKeyNavigation2.listCate.size > 0)
		{
			UICamera.selectedObject = UIKeyNavigation2.listCate[0].gameObject;
		}
	}

	public List<GameObject> m_goCategory = new List<GameObject>();

	public List<GameObject> m_goPartsType = new List<GameObject>();

	public List<GameObject> m_goMenuItem = new List<GameObject>();
}
